diff --git a/hledger/hledger.info b/hledger/hledger.info
index 5e83daa2f..804fe7491 100644
--- a/hledger/hledger.info
+++ b/hledger/hledger.info
@@ -8676,468 +8222,465 @@ $ LANG=fr_FR.utf8 hledger -f my.journal print
 
    Here's how you could set it permanently, if you use a bash shell:
 
-
 $ echo "export LANG=en_US.utf8" >>~/.bash_profile
 $ bash --login
 
-   Exact spelling and capitalisation may be important. Note the
-difference on MacOS (`UTF-8', not `utf8'). Some platforms (eg ubuntu)
+   Exact spelling and capitalisation may be important.  Note the
+difference on MacOS ('UTF-8', not 'utf8').  Some platforms (eg ubuntu)
 allow variant spellings, but others (eg macos) require it to be exact:
 
-
 $ locale -a | grep -iE en_us.*utf
 en_US.UTF-8
 $ LANG=en_US.UTF-8 hledger -f my.journal print
 
-
 
 Tag Table:
-Node: Top76
-Node: OPTIONS2449
-Ref: #options2550
-Node: General options2692
-Ref: #general-options2817
-Node: Command options6548
-Ref: #command-options6699
-Node: Command arguments7098
-Ref: #command-arguments7256
-Node: Special characters8134
-Ref: #special-characters8297
-Node: Single escaping shell metacharacters8460
-Ref: #single-escaping-shell-metacharacters8701
-Node: Double escaping regular expression metacharacters9103
-Ref: #double-escaping-regular-expression-metacharacters9414
-Node: Triple escaping for add-on commands9940
-Ref: #triple-escaping-for-add-on-commands10200
-Node: Less escaping10846
-Ref: #less-escaping11000
-Node: Unicode characters11326
-Ref: #unicode-characters11491
-Node: Regular expressions12900
-Ref: #regular-expressions13040
-Node: ENVIRONMENT14781
-Ref: #environment14897
-Node: DATA FILES15879
-Ref: #data-files15998
-Node: Data formats16539
-Ref: #data-formats16657
-Node: Multiple files18139
-Ref: #multiple-files18281
-Node: Strict mode18751
-Ref: #strict-mode18866
-Node: TIME PERIODS19517
-Ref: #time-periods19634
-Node: Smart dates19732
-Ref: #smart-dates19858
-Node: Report start & end date21162
-Ref: #report-start-end-date21337
-Node: Report intervals23007
-Ref: #report-intervals23175
-Node: Period expressions24449
-Ref: #period-expressions24589
-Node: DEPTH28968
-Ref: #depth29068
-Node: QUERIES29399
-Ref: #queries29498
-Node: COSTING33547
-Ref: #costing33650
-Node: VALUATION33923
-Ref: #valuation34031
-Node: -V Value34754
-Ref: #v-value34878
-Node: -X Value in specified commodity35072
-Ref: #x-value-in-specified-commodity35265
-Node: Valuation date35414
-Ref: #valuation-date35576
-Node: Market prices36013
-Ref: #market-prices36194
-Node: --infer-market-price market prices from transactions37376
-Ref: #infer-market-price-market-prices-from-transactions37640
-Node: Valuation commodity38989
-Ref: #valuation-commodity39199
-Node: Simple valuation examples40424
-Ref: #simple-valuation-examples40620
-Node: --value Flexible valuation41282
-Ref: #value-flexible-valuation41484
-Node: More valuation examples43126
-Ref: #more-valuation-examples43327
-Node: Effect of valuation on reports45333
-Ref: #effect-of-valuation-on-reports45515
-Node: PIVOTING53412
-Ref: #pivoting53517
-Node: OUTPUT55196
-Ref: #output55298
-Node: Output destination55349
-Ref: #output-destination55482
-Node: Output format56138
-Ref: #output-format56261
-Node: COMMANDS58424
-Ref: #commands58536
-Node: accounts61926
-Ref: #accounts62026
-Node: activity62718
-Ref: #activity62830
-Node: add63212
-Ref: #add63315
-Node: aregister66110
-Ref: #aregister66224
-Node: aregister and custom posting dates68419
-Ref: #aregister-and-custom-posting-dates68585
-Node: balance69406
-Ref: #balance69525
-Node: balance features70438
-Ref: #balance-features70578
-Node: Simple balance report72248
-Ref: #simple-balance-report72430
-Node: Filtered balance report73878
-Ref: #filtered-balance-report74065
-Node: List or tree mode74362
-Ref: #list-or-tree-mode74530
-Node: Depth limiting75847
-Ref: #depth-limiting76013
-Node: Multi-period balance report76771
-Ref: #multi-period-balance-report76963
-Node: Sorting by amount79219
-Ref: #sorting-by-amount79388
-Node: Percentages79850
-Ref: #percentages80006
-Node: Balance change end balance80938
-Ref: #balance-change-end-balance81129
-Node: Balance report types82553
-Ref: #balance-report-types82743
-Node: Useful balance reports86907
-Ref: #useful-balance-reports87088
-Node: Budget report88172
-Ref: #budget-report88356
-Node: Budget report start date93525
-Ref: #budget-report-start-date93694
-Node: Nested budgets95021
-Ref: #nested-budgets95170
-Node: Customising single-period balance reports98557
-Ref: #customising-single-period-balance-reports98766
-Node: balancesheet100923
-Ref: #balancesheet101061
-Node: balancesheetequity102359
-Ref: #balancesheetequity102510
-Node: cashflow103890
-Ref: #cashflow104014
-Node: check105160
-Ref: #check105265
-Node: Basic checks105898
-Ref: #basic-checks106016
-Node: Strict checks106549
-Ref: #strict-checks106690
-Node: Other checks106994
-Ref: #other-checks107134
-Node: Custom checks107491
-Ref: #custom-checks107611
-Node: close108029
-Ref: #close108133
-Node: close usage109650
-Ref: #close-usage109745
-Node: codes112553
-Ref: #codes112663
-Node: commodities113376
-Ref: #commodities113505
-Node: descriptions113587
-Ref: #descriptions113717
-Node: diff114021
-Ref: #diff114129
-Node: files115174
-Ref: #files115276
-Node: help115422
-Ref: #help115524
-Node: import116247
-Ref: #import116363
-Node: Deduplication117225
-Ref: #deduplication117350
-Node: Import testing119238
-Ref: #import-testing119403
-Node: Importing balance assignments119893
-Ref: #importing-balance-assignments120099
-Node: Commodity display styles120746
-Ref: #commodity-display-styles120919
-Node: incomestatement121048
-Ref: #incomestatement121183
-Node: notes122484
-Ref: #notes122599
-Node: payees122966
-Ref: #payees123074
-Node: prices123600
-Ref: #prices123708
-Node: print124047
-Ref: #print124159
-Node: print-unique129469
-Ref: #print-unique129597
-Node: register129883
-Ref: #register130012
-Node: Custom register output134456
-Ref: #custom-register-output134587
-Node: register-match135924
-Ref: #register-match136060
-Node: rewrite136408
-Ref: #rewrite136525
-Node: Re-write rules in a file138431
-Ref: #re-write-rules-in-a-file138594
-Node: Diff output format139744
-Ref: #diff-output-format139927
-Node: rewrite vs print --auto141019
-Ref: #rewrite-vs.-print---auto141179
-Node: roi141729
-Ref: #roi141829
-Node: Semantics of --inv and --pnl143464
-Ref: #semantics-of---inv-and---pnl143646
-Node: IRR and TWR explained145492
-Ref: #irr-and-twr-explained145652
-Node: stats148714
-Ref: #stats148815
-Node: tags149602
-Ref: #tags149702
-Node: test150219
-Ref: #test150335
-Node: About add-on commands151080
-Ref: #about-add-on-commands151217
-Node: JOURNAL FORMAT152350
-Ref: #journal-format152478
-Node: Transactions154658
-Ref: #transactions154773
-Node: Dates155790
-Ref: #dates155906
-Node: Simple dates155971
-Ref: #simple-dates156091
-Node: Secondary dates156598
-Ref: #secondary-dates156746
-Node: Posting dates158080
-Ref: #posting-dates158203
-Node: Status159572
-Ref: #status159689
-Node: Description161394
-Ref: #description161524
-Node: Payee and note161842
-Ref: #payee-and-note161950
-Node: Comments162284
-Ref: #comments162406
-Node: Tags163599
-Ref: #tags-1163710
-Node: Postings165108
-Ref: #postings165232
-Node: Virtual postings166256
-Ref: #virtual-postings166367
-Node: Account names167669
-Ref: #account-names167806
-Node: Amounts168292
-Ref: #amounts168427
-Node: Decimal marks digit group marks169385
-Ref: #decimal-marks-digit-group-marks169560
-Node: Commodity170432
-Ref: #commodity170590
-Node: Commodity directives171540
-Ref: #commodity-directives171712
-Node: Commodity display style172198
-Ref: #commodity-display-style172375
-Node: Rounding174483
-Ref: #rounding174601
-Node: Transaction prices175011
-Ref: #transaction-prices175177
-Node: Lot prices lot dates177607
-Ref: #lot-prices-lot-dates177790
-Node: Balance assertions178277
-Ref: #balance-assertions178455
-Node: Assertions and ordering179485
-Ref: #assertions-and-ordering179667
-Node: Assertions and included files180364
-Ref: #assertions-and-included-files180601
-Node: Assertions and multiple -f options180932
-Ref: #assertions-and-multiple--f-options181182
-Node: Assertions and commodities181313
-Ref: #assertions-and-commodities181539
-Node: Assertions and prices182694
-Ref: #assertions-and-prices182902
-Node: Assertions and subaccounts183343
-Ref: #assertions-and-subaccounts183566
-Node: Assertions and virtual postings183890
-Ref: #assertions-and-virtual-postings184126
-Node: Assertions and precision184267
-Ref: #assertions-and-precision184454
-Node: Balance assignments184719
-Ref: #balance-assignments184889
-Node: Balance assignments and prices186052
-Ref: #balance-assignments-and-prices186218
-Node: Directives186444
-Ref: #directives186607
-Node: Directives and multiple files192012
-Ref: #directives-and-multiple-files192208
-Node: Comment blocks192870
-Ref: #comment-blocks193047
-Node: Including other files193222
-Ref: #including-other-files193396
-Node: Default year194320
-Ref: #default-year194478
-Node: Declaring payees194885
-Ref: #declaring-payees195051
-Node: Declaring commodities195296
-Ref: #declaring-commodities195477
-Node: Commodity error checking197853
-Ref: #commodity-error-checking198003
-Node: Default commodity198259
-Ref: #default-commodity198439
-Node: Declaring market prices199313
-Ref: #declaring-market-prices199502
-Node: Declaring accounts200360
-Ref: #declaring-accounts200540
-Node: Account error checking201747
-Ref: #account-error-checking201913
-Node: Account comments203090
-Ref: #account-comments203274
-Node: Account subdirectives203700
-Ref: #account-subdirectives203885
-Node: Account types204200
-Ref: #account-types204374
-Node: Declaring account types205109
-Ref: #declaring-account-types205288
-Node: Auto-detected account types205939
-Ref: #auto-detected-account-types206180
-Node: Interference from auto-detected account types207146
-Ref: #interference-from-auto-detected-account-types207423
-Node: Old account type syntax207906
-Ref: #old-account-type-syntax208103
-Node: Account display order208404
-Ref: #account-display-order208564
-Node: Rewriting accounts209715
-Ref: #rewriting-accounts209894
-Node: Basic aliases210653
-Ref: #basic-aliases210789
-Node: Regex aliases211491
-Ref: #regex-aliases211653
-Node: Combining aliases212373
-Ref: #combining-aliases212556
-Node: Aliases and multiple files213833
-Ref: #aliases-and-multiple-files214032
-Node: end aliases214613
-Ref: #end-aliases214760
-Node: Default parent account214862
-Ref: #default-parent-account215052
-Node: Periodic transactions215936
-Ref: #periodic-transactions216119
-Node: Periodic rule syntax218036
-Ref: #periodic-rule-syntax218236
-Node: Two spaces between period expression and description!218939
-Ref: #two-spaces-between-period-expression-and-description219252
-Node: Forecasting with periodic transactions219937
-Ref: #forecasting-with-periodic-transactions220236
-Node: Budgeting with periodic transactions222282
-Ref: #budgeting-with-periodic-transactions222515
-Node: Auto postings222922
-Ref: #auto-postings223058
-Node: Auto postings and multiple files225241
-Ref: #auto-postings-and-multiple-files225439
-Node: Auto postings and dates225647
-Ref: #auto-postings-and-dates225915
-Node: Auto postings and transaction balancing / inferred amounts / balance assertions226090
-Ref: #auto-postings-and-transaction-balancing-inferred-amounts-balance-assertions226436
-Node: Auto posting tags226781
-Ref: #auto-posting-tags226990
-Node: CSV FORMAT227627
-Ref: #csv-format227755
-Node: Examples230336
-Ref: #examples230439
-Node: Basic230646
-Ref: #basic230748
-Node: Bank of Ireland231292
-Ref: #bank-of-ireland231429
-Node: Amazon232894
-Ref: #amazon233014
-Node: Paypal234735
-Ref: #paypal234831
-Node: CSV rules242479
-Ref: #csv-rules242597
-Node: skip242909
-Ref: #skip243004
-Node: fields243376
-Ref: #fields243500
-Node: Transaction field names244661
-Ref: #transaction-field-names244823
-Node: Posting field names244934
-Ref: #posting-field-names245088
-Node: field assignment247449
-Ref: #field-assignment247594
-Node: separator248408
-Ref: #separator248545
-Node: if block249087
-Ref: #if-block249214
-Node: Matching the whole record249612
-Ref: #matching-the-whole-record249789
-Node: Matching individual fields250592
-Ref: #matching-individual-fields250798
-Node: Combining matchers251022
-Ref: #combining-matchers251220
-Node: Rules applied on successful match251534
-Ref: #rules-applied-on-successful-match251727
-Node: if table252384
-Ref: #if-table252505
-Node: end254241
-Ref: #end254355
-Node: date-format254579
-Ref: #date-format254713
-Node: decimal-mark255463
-Ref: #decimal-mark255608
-Node: newest-first255945
-Ref: #newest-first256088
-Node: include256771
-Ref: #include256904
-Node: balance-type257346
-Ref: #balance-type257468
-Node: Tips258168
-Ref: #tips258259
-Node: Rapid feedback258558
-Ref: #rapid-feedback258677
-Node: Valid CSV259136
-Ref: #valid-csv259268
-Node: File Extension259460
-Ref: #file-extension259614
-Node: Reading multiple CSV files260043
-Ref: #reading-multiple-csv-files260230
-Node: Valid transactions260470
-Ref: #valid-transactions260650
-Node: Deduplicating importing261278
-Ref: #deduplicating-importing261459
-Node: Setting amounts262491
-Ref: #setting-amounts262648
-Node: Amount signs264867
-Ref: #amount-signs265021
-Node: Setting currency/commodity265708
-Ref: #setting-currencycommodity265896
-Node: Amount decimal places267076
-Ref: #amount-decimal-places267268
-Node: Referencing other fields267580
-Ref: #referencing-other-fields267779
-Node: How CSV rules are evaluated268677
-Ref: #how-csv-rules-are-evaluated268852
-Node: TIMECLOCK FORMAT270301
-Ref: #timeclock-format270441
-Node: TIMEDOT FORMAT272509
-Ref: #timedot-format272647
-Node: COMMON TASKS276910
-Ref: #common-tasks277039
-Node: Getting help277446
-Ref: #getting-help277580
-Node: Constructing command lines278131
-Ref: #constructing-command-lines278325
-Node: Starting a journal file279024
-Ref: #starting-a-journal-file279224
-Node: Setting opening balances280411
-Ref: #setting-opening-balances280609
-Node: Recording transactions283742
-Ref: #recording-transactions283924
-Node: Reconciling284481
-Ref: #reconciling284626
-Node: Reporting286871
-Ref: #reporting287013
-Node: Migrating to a new file290933
-Ref: #migrating-to-a-new-file291083
-Node: LIMITATIONS291381
-Ref: #limitations291509
-Node: TROUBLESHOOTING292250
-Ref: #troubleshooting292365
+Node: Top68
+Node: OPTIONS2465
+Ref: #options2566
+Node: General options2708
+Ref: #general-options2833
+Node: Command options6568
+Ref: #command-options6719
+Node: Command arguments7119
+Ref: #command-arguments7277
+Node: Special characters8157
+Ref: #special-characters8320
+Node: Single escaping shell metacharacters8483
+Ref: #single-escaping-shell-metacharacters8724
+Node: Double escaping regular expression metacharacters9125
+Ref: #double-escaping-regular-expression-metacharacters9436
+Node: Triple escaping for add-on commands9962
+Ref: #triple-escaping-for-add-on-commands10222
+Node: Less escaping10866
+Ref: #less-escaping11020
+Node: Unicode characters11344
+Ref: #unicode-characters11509
+Node: Regular expressions12921
+Ref: #regular-expressions13061
+Node: ENVIRONMENT14797
+Ref: #environment14913
+Node: DATA FILES15898
+Ref: #data-files16017
+Node: Data formats16556
+Ref: #data-formats16674
+Node: Multiple files18068
+Ref: #multiple-files18210
+Node: Strict mode18679
+Ref: #strict-mode18794
+Node: TIME PERIODS19443
+Ref: #time-periods19560
+Node: Smart dates19658
+Ref: #smart-dates19784
+Node: Report start & end date21110
+Ref: #report-start-end-date21285
+Node: Report intervals22943
+Ref: #report-intervals23111
+Node: Period expressions24388
+Ref: #period-expressions24528
+Node: DEPTH28971
+Ref: #depth29071
+Node: QUERIES29403
+Ref: #queries29502
+Node: COSTING33562
+Ref: #costing33665
+Node: VALUATION33939
+Ref: #valuation34047
+Node: -V Value34772
+Ref: #v-value34896
+Node: -X Value in specified commodity35091
+Ref: #x-value-in-specified-commodity35284
+Node: Valuation date35433
+Ref: #valuation-date35595
+Node: Market prices36032
+Ref: #market-prices36213
+Node: --infer-market-price market prices from transactions37395
+Ref: #infer-market-price-market-prices-from-transactions37659
+Node: Valuation commodity39013
+Ref: #valuation-commodity39223
+Node: Simple valuation examples40447
+Ref: #simple-valuation-examples40643
+Node: --value Flexible valuation41302
+Ref: #value-flexible-valuation41504
+Node: More valuation examples43148
+Ref: #more-valuation-examples43349
+Node: Effect of valuation on reports45348
+Ref: #effect-of-valuation-on-reports45530
+Node: PIVOTING52931
+Ref: #pivoting53036
+Node: OUTPUT54712
+Ref: #output54814
+Node: Output destination54865
+Ref: #output-destination54998
+Node: Output format55655
+Ref: #output-format55778
+Node: COMMANDS57945
+Ref: #commands58057
+Node: accounts61422
+Ref: #accounts61522
+Node: activity62218
+Ref: #activity62330
+Node: add62713
+Ref: #add62816
+Node: aregister65609
+Ref: #aregister65723
+Node: aregister and custom posting dates67921
+Ref: #aregister-and-custom-posting-dates68087
+Node: balance68908
+Ref: #balance69027
+Node: balance features69942
+Ref: #balance-features70082
+Node: Simple balance report71739
+Ref: #simple-balance-report71921
+Node: Filtered balance report73374
+Ref: #filtered-balance-report73561
+Node: List or tree mode73861
+Ref: #list-or-tree-mode74029
+Node: Depth limiting75347
+Ref: #depth-limiting75513
+Node: Multi-period balance report76274
+Ref: #multi-period-balance-report76466
+Node: Sorting by amount78718
+Ref: #sorting-by-amount78887
+Node: Percentages79353
+Ref: #percentages79509
+Node: Balance change end balance80443
+Ref: #balance-change-end-balance80634
+Node: Balance report types82062
+Ref: #balance-report-types82252
+Node: Useful balance reports86325
+Ref: #useful-balance-reports86506
+Node: Budget report87591
+Ref: #budget-report87775
+Node: Budget report start date93014
+Ref: #budget-report-start-date93183
+Node: Nested budgets94515
+Ref: #nested-budgets94664
+Node: Customising single-period balance reports98104
+Ref: #customising-single-period-balance-reports98313
+Node: balancesheet100461
+Ref: #balancesheet100599
+Node: balancesheetequity101898
+Ref: #balancesheetequity102049
+Node: cashflow103429
+Ref: #cashflow103553
+Node: check104699
+Ref: #check104804
+Node: Basic checks105438
+Ref: #basic-checks105556
+Node: Strict checks106107
+Ref: #strict-checks106248
+Node: Other checks106684
+Ref: #other-checks106824
+Node: Custom checks107181
+Ref: #custom-checks107301
+Node: close107718
+Ref: #close107822
+Node: close usage109344
+Ref: #close-usage109439
+Node: codes112252
+Ref: #codes112362
+Node: commodities113074
+Ref: #commodities113203
+Node: descriptions113285
+Ref: #descriptions113415
+Node: diff113719
+Ref: #diff113827
+Node: files114874
+Ref: #files114976
+Node: help115123
+Ref: #help115225
+Node: import115952
+Ref: #import116068
+Node: Deduplication116933
+Ref: #deduplication117058
+Node: Import testing118952
+Ref: #import-testing119117
+Node: Importing balance assignments119605
+Ref: #importing-balance-assignments119811
+Node: Commodity display styles120460
+Ref: #commodity-display-styles120633
+Node: incomestatement120762
+Ref: #incomestatement120897
+Node: notes122202
+Ref: #notes122317
+Node: payees122685
+Ref: #payees122793
+Node: prices123319
+Ref: #prices123427
+Node: print123768
+Ref: #print123880
+Node: print-unique129195
+Ref: #print-unique129323
+Node: register129608
+Ref: #register129737
+Node: Custom register output134183
+Ref: #custom-register-output134314
+Node: register-match135651
+Ref: #register-match135787
+Node: rewrite136138
+Ref: #rewrite136255
+Node: Re-write rules in a file138161
+Ref: #re-write-rules-in-a-file138324
+Node: Diff output format139473
+Ref: #diff-output-format139656
+Node: rewrite vs print --auto140748
+Ref: #rewrite-vs.-print---auto140908
+Node: roi141464
+Ref: #roi141564
+Node: Semantics of --inv and --pnl143197
+Ref: #semantics-of---inv-and---pnl143379
+Node: IRR and TWR explained145229
+Ref: #irr-and-twr-explained145389
+Node: stats148457
+Ref: #stats148558
+Node: tags149346
+Ref: #tags149446
+Node: test149965
+Ref: #test150081
+Node: About add-on commands150828
+Ref: #about-add-on-commands150965
+Node: JOURNAL FORMAT152096
+Ref: #journal-format152224
+Node: Transactions154411
+Ref: #transactions154526
+Node: Dates155540
+Ref: #dates155656
+Node: Simple dates155721
+Ref: #simple-dates155841
+Node: Secondary dates156350
+Ref: #secondary-dates156498
+Node: Posting dates157834
+Ref: #posting-dates157957
+Node: Status159329
+Ref: #status159446
+Node: Description161154
+Ref: #description161284
+Node: Payee and note161604
+Ref: #payee-and-note161712
+Node: Comments162047
+Ref: #comments162169
+Node: Tags163363
+Ref: #tags-1163474
+Node: Postings164867
+Ref: #postings164991
+Node: Virtual postings166017
+Ref: #virtual-postings166128
+Node: Account names167433
+Ref: #account-names167570
+Node: Amounts168058
+Ref: #amounts168193
+Node: Decimal marks digit group marks169149
+Ref: #decimal-marks-digit-group-marks169324
+Node: Commodity170196
+Ref: #commodity170354
+Node: Commodity directives171306
+Ref: #commodity-directives171478
+Node: Commodity display style171965
+Ref: #commodity-display-style172142
+Node: Rounding174250
+Ref: #rounding174368
+Node: Transaction prices174780
+Ref: #transaction-prices174946
+Node: Lot prices lot dates177377
+Ref: #lot-prices-lot-dates177560
+Node: Balance assertions178048
+Ref: #balance-assertions178226
+Node: Assertions and ordering179259
+Ref: #assertions-and-ordering179441
+Node: Assertions and included files180141
+Ref: #assertions-and-included-files180378
+Node: Assertions and multiple -f options180711
+Ref: #assertions-and-multiple--f-options180961
+Node: Assertions and commodities181093
+Ref: #assertions-and-commodities181319
+Node: Assertions and prices182476
+Ref: #assertions-and-prices182684
+Node: Assertions and subaccounts183124
+Ref: #assertions-and-subaccounts183347
+Node: Assertions and virtual postings183671
+Ref: #assertions-and-virtual-postings183907
+Node: Assertions and precision184049
+Ref: #assertions-and-precision184236
+Node: Balance assignments184503
+Ref: #balance-assignments184673
+Node: Balance assignments and prices185837
+Ref: #balance-assignments-and-prices186003
+Node: Directives186227
+Ref: #directives186390
+Node: Directives and multiple files191848
+Ref: #directives-and-multiple-files192044
+Node: Comment blocks192708
+Ref: #comment-blocks192885
+Node: Including other files193061
+Ref: #including-other-files193235
+Node: Default year194159
+Ref: #default-year194317
+Node: Declaring payees194724
+Ref: #declaring-payees194890
+Node: Declaring commodities195136
+Ref: #declaring-commodities195317
+Node: Commodity error checking197697
+Ref: #commodity-error-checking197847
+Node: Default commodity198104
+Ref: #default-commodity198284
+Node: Declaring market prices199160
+Ref: #declaring-market-prices199349
+Node: Declaring accounts200206
+Ref: #declaring-accounts200386
+Node: Account error checking201588
+Ref: #account-error-checking201754
+Node: Account comments202933
+Ref: #account-comments203117
+Node: Account subdirectives203541
+Ref: #account-subdirectives203726
+Node: Account types204039
+Ref: #account-types204213
+Node: Declaring account types204949
+Ref: #declaring-account-types205128
+Node: Auto-detected account types205778
+Ref: #auto-detected-account-types206019
+Node: Interference from auto-detected account types206983
+Ref: #interference-from-auto-detected-account-types207260
+Node: Old account type syntax207743
+Ref: #old-account-type-syntax207940
+Node: Account display order208240
+Ref: #account-display-order208400
+Node: Rewriting accounts209551
+Ref: #rewriting-accounts209730
+Node: Basic aliases210487
+Ref: #basic-aliases210623
+Node: Regex aliases211367
+Ref: #regex-aliases211529
+Node: Combining aliases212248
+Ref: #combining-aliases212431
+Node: Aliases and multiple files213707
+Ref: #aliases-and-multiple-files213906
+Node: end aliases214485
+Ref: #end-aliases214632
+Node: Default parent account214733
+Ref: #default-parent-account214923
+Node: Periodic transactions215807
+Ref: #periodic-transactions215990
+Node: Periodic rule syntax217907
+Ref: #periodic-rule-syntax218107
+Node: Two spaces between period expression and description!218811
+Ref: #two-spaces-between-period-expression-and-description219124
+Node: Forecasting with periodic transactions219808
+Ref: #forecasting-with-periodic-transactions220107
+Node: Budgeting with periodic transactions222162
+Ref: #budgeting-with-periodic-transactions222395
+Node: Auto postings222804
+Ref: #auto-postings222940
+Node: Auto postings and multiple files225119
+Ref: #auto-postings-and-multiple-files225317
+Node: Auto postings and dates225526
+Ref: #auto-postings-and-dates225794
+Node: Auto postings and transaction balancing / inferred amounts / balance assertions225969
+Ref: #auto-postings-and-transaction-balancing-inferred-amounts-balance-assertions226314
+Node: Auto posting tags226656
+Ref: #auto-posting-tags226865
+Node: CSV FORMAT227501
+Ref: #csv-format227629
+Node: Examples230215
+Ref: #examples230318
+Node: Basic230526
+Ref: #basic230628
+Node: Bank of Ireland231170
+Ref: #bank-of-ireland231307
+Node: Amazon232769
+Ref: #amazon232889
+Node: Paypal234608
+Ref: #paypal234704
+Node: CSV rules242348
+Ref: #csv-rules242466
+Node: skip242778
+Ref: #skip242873
+Node: fields243248
+Ref: #fields243372
+Node: Transaction field names244537
+Ref: #transaction-field-names244699
+Node: Posting field names244810
+Ref: #posting-field-names244964
+Node: field assignment247478
+Ref: #field-assignment247623
+Node: separator248441
+Ref: #separator248578
+Node: if block249118
+Ref: #if-block249245
+Node: Matching the whole record249646
+Ref: #matching-the-whole-record249823
+Node: Matching individual fields250626
+Ref: #matching-individual-fields250832
+Node: Combining matchers251056
+Ref: #combining-matchers251254
+Node: Rules applied on successful match251567
+Ref: #rules-applied-on-successful-match251760
+Node: if table252414
+Ref: #if-table252535
+Node: end254273
+Ref: #end254387
+Node: date-format254611
+Ref: #date-format254745
+Node: decimal-mark255494
+Ref: #decimal-mark255639
+Node: newest-first255978
+Ref: #newest-first256121
+Node: include256804
+Ref: #include256937
+Node: balance-type257381
+Ref: #balance-type257503
+Node: Tips258203
+Ref: #tips258294
+Node: Rapid feedback258593
+Ref: #rapid-feedback258712
+Node: Valid CSV259172
+Ref: #valid-csv259304
+Node: File Extension259496
+Ref: #file-extension259650
+Node: Reading multiple CSV files260079
+Ref: #reading-multiple-csv-files260266
+Node: Valid transactions260507
+Ref: #valid-transactions260687
+Node: Deduplicating importing261315
+Ref: #deduplicating-importing261496
+Node: Setting amounts262529
+Ref: #setting-amounts262686
+Node: Amount signs265127
+Ref: #amount-signs265281
+Node: Setting currency/commodity265968
+Ref: #setting-currencycommodity266156
+Node: Amount decimal places267330
+Ref: #amount-decimal-places267522
+Node: Referencing other fields267834
+Ref: #referencing-other-fields268033
+Node: How CSV rules are evaluated268930
+Ref: #how-csv-rules-are-evaluated269105
+Node: TIMECLOCK FORMAT270556
+Ref: #timeclock-format270696
+Node: TIMEDOT FORMAT272757
+Ref: #timedot-format272895
+Node: COMMON TASKS277171
+Ref: #common-tasks277300
+Node: Getting help277707
+Ref: #getting-help277841
+Node: Constructing command lines278394
+Ref: #constructing-command-lines278588
+Node: Starting a journal file279285
+Ref: #starting-a-journal-file279485
+Node: Setting opening balances280673
+Ref: #setting-opening-balances280871
+Node: Recording transactions284012
+Ref: #recording-transactions284194
+Node: Reconciling284750
+Ref: #reconciling284895
+Node: Reporting287152
+Ref: #reporting287294
+Node: Migrating to a new file291293
+Ref: #migrating-to-a-new-file291443
+Node: LIMITATIONS291742
+Ref: #limitations291870
+Node: TROUBLESHOOTING292613
+Ref: #troubleshooting292728
 
 End Tag Table
